#!/usr/bin/env vpshell

# This script demonstrates the capabilities of the Message class.


# The error static method.

vp.Message.error('This is Message.error()')

vp.Message.error(
    title='My title',
    text='This is Message.error() with a non-default title')


# The information static method.

vp.Message.information('This is Message.information()')

vp.Message.information(
    title='My title',
    text='This is Message.information() with a non-default title')


# The question static method.

b = vp.Message.question('This is Message.question(). Ok?')
print 'The button clicked was', b

b = vp.Message.question(
    text='This is Message.question() with a non-default button text. Ok?',
    yesText='This is Yes',
    noText='This is No')
print 'The button clicked was', b


# The sorry static method.

vp.Message.sorry('This is Message.sorry()')

vp.Message.sorry(
    title='My title',
    text='This is Message.sorry() with a non-default title')


# The warning static method.

b = vp.Message.warning('This is Message.warning() with the default Continue and Cancel buttons. Ok?')
print 'The button clicked was', b

b = vp.Message.warning(
    text='This is Message.warning() with Yes and No buttons. Ok?',
    buttons=[vp.Dialog.Yes, vp.Dialog.No])
print 'The button clicked was', b

b = vp.Message.warning(
    text='This is Message.warning() with Yes, No and Cancel buttons. Ok?',
    buttons=[vp.Dialog.Yes, vp.Dialog.No, vp.Dialog.Cancel])
print 'The button clicked was', b
